/* @import url('https://fonts.googleapis.com/css2?family=Open+Sans&display=swap'); */
/* @import url('https://fonts.googleapis.com/css2?family=Nunito+Sans&display=swap'); */


@font-face {
  font-family: 'Lato';
  src: url('../fonts/Lato-Regular.woff2') format('woff2'), /* Modern Browsers */
  url('../fonts/Lato-Regular.woff') format('woff'), /* Modern Browsers */
  url('../fonts/Lato-Regular.ttf') format('truetype');
  font-style: normal;
  font-weight: normal;
}

@font-face {
  font-family: 'Nunito';
  src: url('../fonts/Nunito-Regular.woff2') format('woff2'), /* Modern Browsers */
  url('../fonts/Nunito-Regular.woff') format('woff'), /* Modern Browsers */
  url('../fonts/Nunito-Regular.ttf') format('truetype');
  font-style: normal;
  font-weight: normal;
}

@font-face {
  font-family: 'Armata';
  src: url('../fonts/Armata-Regular.woff2') format('woff2'), /* Modern Browsers */
  url('../fonts/Armata-Regular.woff') format('woff'), /* Modern Browsers */
  url('../fonts/Armata-Regular.ttf') format('truetype');
  font-style: normal;
  font-weight: normal;
}

:root {
	--rava-blue-01: rgba(29, 104, 167, 0.1);
	--rava-blue-02: rgba(29, 104, 167, 0.2);
	--rava-blue-03: rgba(29, 104, 167, 0.3);
	--rava-blue-07: rgba(29, 104, 167, 0.7);
	--rava-blue-light: #1d68a7;
	--rava-blue-medium: #004b6f;
	--rava-blue-strong: #003046;
	--rava-gold-01: rgba(224, 168, 48, 0.1);
	--rava-gold-02: rgba(224, 168, 48, 0.2);
	--rava-gold-03: rgba(224, 168, 48, 0.3);
	--rava-gold-04: rgba(224, 168, 48, 0.4);
	--rava-gold-07: rgba(224, 168, 48, 0.7);
	--rava-gold-white: #ffd193;
	--rava-gold-light: #c8a464;
	--rava-gold-medium: #e0a830;
	--rava-gold-strong: #ba872d;
	--section-gray: rgba(0, 0, 0, 0.04);

	--dark-mode-black: #282b30;
	--dark-mode: #2f3239;
	--dark-mode-gray: #41454c;

	--dark-mode-green: #38c172;
	--dark-mode-red: #cf5353;
	--dark-mode-gold: #bda061;
    --dark-mode-blue: #2b8ede;
	/* --dark-mode-gold: #c8a464; */
    /* --dark-mode-blue: #216dad; */

	--text-muted: #6c757d;
	--lightgray: #d3d3d3;
	--light: #f1f1f1;

	/* --color-sucess: #00af00; */
	--color-sucess: #008800;
	--color-danger: #e3342f;
}

html,
body {
  font-family: "Lato", sans-serif !important;
  font-weight: 400;
  scroll-behavior: smooth;
  /* font-family: 'Open Sans', sans-serif !important; */
  /* font-family: 'Nunito Sans', sans-serif; */

  touch-action: manipulation !important;
  -webkit-transition: background 0.2s linear;
  -moz-transition: background 0.2s linear;
  -ms-transition: background 0.2s linear;
  -o-transition: background 0.2s linear;
  transition: background 0.2s linear;
}

a {
    text-decoration: none!important;
}

#main-layout {
  min-height: 50vh;
}

.dark * {
  -webkit-transition: background 0.2s linear;
  -moz-transition: background 0.2s linear;
  -ms-transition: background 0.2s linear;
  -o-transition: background 0.2s linear;
  transition: background 0.2s linear;
}

body {
  overflow-x: hidden;
  padding-top: 54px;
}

@media screen and (min-width: 601px) {
  body {
    padding-top: 62px;
  }
}

html.dark {
  background: var(--dark-mode-black);
}

.fz-0 {
  font-size: 0!important;
  margin: 0!important;
  padding: 0!important;
}

.modal-overlay {
  opacity: 0.95 !important;
  background-color: var(--rava-blue-strong);
}

.container-apertura .btn-text {
  background: transparent;
  border: 0;
  outline: 0;
  margin: 0;
  padding: 0;
  color: var(--rava-blue-medium);
  font-weight: bold;
}

.link {
  font-weight: bold;
  color: var(--rava-blue-medium);
}

.dark .link,
.dark .container-apertura .btn-text {
  color: var(--dark-mode-blue);
}

.dark div.modal-content,
.dark div.modal-footer {
  background: var(--dark-mode-gray);
}

.dark .input-picker-c div.modal-content,
.dark #modalFirma div.modal-footer {
  background: white !important;
  color: black;
}

.dark div.modal-footer a {
  color: var(--lightgray);
}

.dark input {
  color: var(--lightgray)!important;
}

.dark #modalFirma div.modal-footer a {
  color: black;
}

* {
  scrollbar-width: thin;
  scrollbar-color: #aaa transparent;
}

*::-webkit-scrollbar {
  width: 4px;
}

*::-webkit-scrollbar-track {
  background: transparent;
}

*::-webkit-scrollbar-thumb {
  background-color: #aaa;
  border-radius: 4px;
  position: absolute;
}

h2 {
    color: var(--rava-blue-medium);
    font-weight: bold!important;
}

.dark h2 {
    color: var(--dark-mode-blue);
}

.dark p {
    color: var(--lightgray);
}

.uppercase {
  text-transform: uppercase!important;
}

.positivo {
    color: var(--color-sucess)!important;
}

.negativo {
    /* color: red!important; */
    color: var(--color-danger)!important;
}

.dark .positivo {
    color: var(--dark-mode-green)!important;
}

.dark .negativo {
    color: var(--dark-mode-red)!important;
}

.select-wrapper select {
  display: block !important;
  position: absolute !important;
  left: 0 !important;
  right: 0 !important;
  top: 0 !important;
  bottom: 0 !important;
  z-index: 10 !important;
}


input[type=number]::-webkit-outer-spin-button,
input[type=number]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type=number] {
    -moz-appearance:textfield;
}


.dark .select-wrapper select {
  background: var(--dark-mode-gray);
  color: var(--lightgray);
}

.dark .select-wrapper option:disabled {
  background: var(--text-muted);
  color: white;
}

@media screen and (min-width: 992px) {
  *::-webkit-scrollbar {
    width: 12px;
  }
  
  .sidenav::-webkit-scrollbar {
    width: 6px;
  }
}

.waves-effect.waves-rava-blue .waves-ripple {
  background-color: var(--rava-blue-07);
  color: white;
}

.color-lightgray {
  color: var(--lightgray);
}

.text-success {
  color: #38c172 !important;
}

.text-danger {
  color: var(--color-danger) !important;
}

.text-center {
  text-align: center !important;
}


.text-left {
  text-align: left!important;
}

.text-center {
  text-align: center!important;
}

.text-right {
  text-align: right!important;
}

.bolder {
  font-weight: bolder !important;
}

.no-wrap {
  white-space: nowrap;
}

.d-none {
  display: none !important;
}

.rava-gray-border {
  /* border: 1px solid rgba(0, 0, 0, 0.1); */
  border: 1px solid rgba(0, 0, 0, 0.03);
  border-radius: 4px;
}

.rava-box-shadow {
  box-shadow: 0px 5px 20px rgba(0, 0, 0, 0.1) !important;
}

.rava-box-shadow.rava-scale:hover {
  box-shadow: 0 30px 30px rgba(0, 0, 0, 0.2) !important;
}

.rava-scale {
  -webkit-transition: transform 0.2s ease-in-out 0s,
    background-color 0.2s ease-in-out 0s, box-shadow 0.2s ease-in-out 0s !important;
  -moz-transition: transform 0.2s ease-in-out 0s,
    background-color 0.2s ease-in-out 0s, box-shadow 0.2s ease-in-out 0s !important;
  -ms-transition: transform 0.2s ease-in-out 0s,
    background-color 0.2s ease-in-out 0s, box-shadow 0.2s ease-in-out 0s !important;
  -o-transition: transform 0.2s ease-in-out 0s,
    background-color 0.2s ease-in-out 0s, box-shadow 0.2s ease-in-out 0s !important;
  transition: transform 0.2s ease-in-out 0s,
    background-color 0.2s ease-in-out 0s, box-shadow 0.2s ease-in-out 0s !important;
}

.rava-scale:hover {
  z-index: 2;
  transform: scale(1.04);
  -webkit-transition: transform 0.2s ease-in-out 0s,
    background-color 0.2s ease-in-out 0s, box-shadow 0.2s ease-in-out 0s;
  -moz-transition: transform 0.2s ease-in-out 0s,
    background-color 0.2s ease-in-out 0s, box-shadow 0.2s ease-in-out 0s;
  -ms-transition: transform 0.2s ease-in-out 0s,
    background-color 0.2s ease-in-out 0s, box-shadow 0.2s ease-in-out 0s;
  -o-transition: transform 0.2s ease-in-out 0s,
    background-color 0.2s ease-in-out 0s, box-shadow 0.2s ease-in-out 0s;
  transition: transform 0.2s ease-in-out 0s,
    background-color 0.2s ease-in-out 0s, box-shadow 0.2s ease-in-out 0s;
}


/****************************************************
********************* Breadcrum ********************
*****************************************************/
/****************************************************
******************** Cotizaciones *******************
*****************************************************/
#breadcrumb-wrapper{
    padding: 0 15px;
    margin: 0 auto;
}

#contenido-cotizaciones {
    width: 100%;
    min-height: 350px;
    padding: 50px 15px;
    /* padding-top: 20px; */
    padding-top: 0;
    margin: 0 auto;
    font-family: Lato, sans-serif;
}

@media (min-width: 600px) {
	#breadcrumb-wrapper,
  #contenido-cotizaciones {
    max-width: 590px;
  }

}
@media (min-width: 768px) {
	#breadcrumb-wrapper,
  #contenido-cotizaciones {
      max-width: 750px;
  }
}
@media (min-width: 992px) {
	#breadcrumb-wrapper,
  #contenido-cotizaciones {
        max-width: 970px;
    }
}
@media (min-width: 1200px) {
	#breadcrumb-wrapper,
  #contenido-cotizaciones {
    max-width: 1150px;
  }
}

@media (min-width: 1400px) {
	#breadcrumb-wrapper,
  #contenido-cotizaciones {
    max-width: 1350px;
  }
}




/****************************************************
********************* LIGHT mode ********************
*****************************************************/

.red-bg {
  background-color: rgba(250, 0, 0, 0.2);
  font-weight: bold;
}

.green-bg {
  background-color: rgba(0, 250, 0, 0.2);
  font-weight: bold;
}

.red-bg-text {
  background-color: rgba(250, 0, 0, 0.2);
  color: rgb(150, 0, 0);
  font-weight: bold;
}

.green-bg-text {
  background-color: rgba(0, 250, 0, 0.2);
  color: rgb(0, 120, 0);
  font-weight: bold;
}

.red-text-var {
  color: var(--color-danger);
  font-weight: bold;
}

.green-text-var {
  color: var(--color-sucess);
  font-weight: bold;
}

/****************************************************
********************* DARK mode *********************
*****************************************************/

.d-red-text-var {
  color: rgb(160, 0, 0);
  font-weight: bold;
}

.d-green-text-var {
  color: rgb(0, 150, 0);
  font-weight: bold;
}

.d-red-bg-var {
  /* background-color: #ffbfbf; */
  background-color: rgb(80, 0, 0);
}

.d-green-bg-var {
  /* background-color: #bfffdd; */
  background-color: rgb(0, 80, 0);
}

.d-green-bg {
  background-color: rgba(0, 200, 0, 0.6);
}

.d-red-bg {
  background-color: rgba(200, 0, 0, 0.6);
}

.d-red-bg-text {
  background-color: rgba(207, 103, 103, 0.6);
  /* rgba(250,0,0,.6) */
  color: rgb(60, 0, 0);
  font-weight: bold;
}

.d-green-bg-text {
  background-color: rgba(103, 237, 103, 0.5);
  color: rgb(0, 60, 0);
  font-weight: bold;
}

/**
* animaciones para el cambio de página con vue
* fade: nombre de la animacion
* -enter-active: nombre del estado a animar
*
* fijarse en nuxt.config, transition: {}
*/
.fade-enter-active,
.fade-leave-active {
  transition: opacity 0.5s;
}

.fade-enter,
.fade-leave-to {
  opacity: 0;
}

/*************************************************************************/
.animated {
  -webkit-animation-duration: 1s;
  animation-duration: 1s;
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
}

.animated.fast {
  -webkit-animation-duration: 700ms;
  animation-duration: 700ms;
}

.animated.slow {
  -webkit-animation-duration: 2s;
  animation-duration: 2s;
}

.fadeIn {
  -webkit-animation-name: fadeIn;
  animation-name: fadeIn;
}

@-webkit-keyframes fadeIn {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

@media (min-width: 576px) {
  .d-sm-none {
    display: none !important;
  }
}

@media (min-width: 768px) {
  .d-md-none {
    display: none !important;
  }
}

@media (min-width: 992px) {
  .d-lg-none {
    display: none !important;
  }
}

@media (min-width: 1200px) {
  .d-xl-none {
    display: none !important;
  }
}

.container_c {
  width: 100%;
  padding-right: 2px;
  padding-left: 2px;
  margin-right: 0px;
  margin-left: 0px;
}




/****************************CLIENTE****************************/
#data-cliente {
  width: 100%;
  height: 100%;
  padding: 15px 10px;
  padding-bottom: 55px;
  overflow-y: scroll;
}


#data-cliente section{
  padding: 0;
}

#data-cliente .contenedor{
  width: 100%;
	margin: 0 auto;
	padding: 2px;
}

#data-cliente h2{
  padding-bottom: 0!important;
  font-size: 24px;
  font-weight: bolder;
  color: var(--rava-blue-medium);
  margin: 0;
  /* display: flex;
  justify-content: flex-start!important; */
  align-items: center;
}

#data-cliente h2.inicio{
  font-size: 20px!important;
}

#data-cliente h2 .material-icons{
  font-size: 16px;
  margin-top: 3px;
}

#data-cliente h2 a{
  color: var(--rava-blue-medium);
  -webkit-transition: .2s linear !important;
  -moz-transition: .2s linear !important;
  -ms-transition: .2s linear !important;
  -o-transition: .2s linear !important;
  transition: .2s linear !important;
}

#data-cliente h2 a:hover{
  color: var(--rava-gold-strong)!important;
}

#data-cliente span.proximamente{
  font-size: 11px;
	color: var(--text-muted)!important;
}

.html-cliente,
.data-cliente {
  height: calc(100vh - 56px);
  background-color: rgba(0, 0, 0, .03);
}

.dark #data-cliente .html-cliente,
.dark #data-cliente .data-cliente {
  background-color: var(--dark-mode-black)!important;
}

.dark #data-cliente h2,
.dark #data-cliente h2 a,
.dark #data-cliente .close .material-icons{
	color: var(--dark-mode-blue);
}

.dark #data-cliente .close .material-icons{
	color: var(--dark-mode-blue)!important;
}

@media screen and (min-width: 601px) {
  .html-cliente,
  .data-cliente {
    height: calc(100vh - 64px);
  }
  
  #data-cliente .contenedor{
    max-width: 590px;
  }
}

@media screen and (min-width: 768px) {
  #data-cliente .contenedor {
    max-width: 800px;
  }

  #data-cliente h2{
    font-size: 32px;
  }

  #data-cliente h2 .material-icons{
        font-size: 20px;
    margin-top: 5px;
    }

  #data-cliente span.proximamente {
    font-size: 12px;
  }
}

@media screen and (min-width: 992px) {
  .data-cliente {
    width: 100%;
    height: calc(100vh - 64px);
    padding-bottom: 0;
    display: flex;
    justify-content: space-between;
  }

  #data-cliente {
    padding: 15px;
    padding-right: 5px;
  }

  #data-cliente .contenedor {
    max-width: 1000px;
  }

  #data-cliente span.proximamente {
    font-size: 13px;
  }
}